Error upgrading from 1.1.1 to 1.2.0

2011-06-03 23:02 - Cassiano Monteiro

Status: Closed Start date: 2011-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After all the upgrading steps, when I try to load the Redmine home page, html the source code is generated, but show as plain text

on the web browser.

On my mongrel.log, i got these errors:

** Starting Rails with production environment...

** Rails loaded.

** Loading any Rails specific GemPlugins

** Signals ready.  INT => stop (no re** Rails loaded.

** Loading any Rails specific GemPlugins

** Signals ready.  INT => stop (no re** Rails loaded.

** Loading any Rails specific GemPlugins

** Signals ready.  INT => stop (no restart).

** Mongrel 1.1.5 available at 0.0.0.0:3003

** Use CTRL-C to stop.

Fri Jun 03 17:51:50 -0300 2011: Error calling Dispatcher.dispatch #<NoMethodError: undefined metho

d `[]' for nil:NilClass>

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/cgi.rb:108:i

n `send_cookies'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/cgi.rb:136:i

n `out'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/http_respons

e.rb:65:in `start'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/cgi.rb:135:i

n `out'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/rails.rb:81:

in `process'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:159:in `p

rocess_client'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:158:in `e

ach'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:158:in `p

rocess_client'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `r

un'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `i

nitialize'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `n

ew'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:285:in `r

un'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in `i

nitialize'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in `n

ew'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel.rb:268:in `r

un'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator

.rb:282:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator

.rb:281:in `each'
C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/configurator

.rb:281:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../lib/mongrel/command.rb:2

12:in `run'

C:/webserver/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

C:/webserver/Ruby/bin/mongrel_rails:19:in `load'

C:/webserver/Ruby/bin/mongrel_rails:19

 My gem list:

*** LOCAL GEMS ***

actionmailer (2.3.11, 2.3.5)

actionpack (2.3.11, 2.3.5)

activerecord (2.3.11, 2.3.5)

activeresource (2.3.11, 2.3.5)

activesupport (2.3.11, 2.3.5)

cgi_multipart_eof_fix (2.5.0)

gem_plugin (0.2.3)

i18n (0.4.2)

mongrel (1.1.5 x86-mingw32)

mongrel_service (0.3.4 i386-mswin32)

mysql (2.8.1 x86-mingw32)

rack (1.1.0)

rails (2.3.11)

rake (0.8.7)

rmagick (2.12.0 mswin32)

win32-service (0.5.2 mswin32)

 Running on Apache/Windows XP x64.

History

#1 - 2011-06-04 14:30 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Mongrel < 1.2 + Rails 2.3.11 require monkey patch, see RedmineInstall.

#2 - 2011-06-06 13:16 - Cassiano Monteiro

- Status changed from Closed to Reopened

I tried the patch from mongrel.rb file, I still had the same problem. Is the patch_for_mongrel.rb file different?

Mongrel 1.2.0 is already out?

#3 - 2011-06-06 13:32 - Tom Rochette

I had this same error a while ago, fixed it by using some of the stuff on https://gist.github.com/471663. Might be helpful to you.

#4 - 2011-06-06 13:49 - Cassiano Monteiro

It´s basically the same as the one from https://gist.github.com/826692, just with more versions on the top.

But it´s completely different from mongrel.rb that I have installed from version 1.1.5 here. How should I apply the patch? Add all the content from the

patch file to the one I have? Or just overwrite it?

#5 - 2011-06-16 18:55 - Alfredo Bonilla

Hi, you have to place the mongrel.rb file in your redmine/config/initializers. We had a problem with the gems. We didn't install mongrel and

mongrel_cluster gems. If you look at the patch code, the first IF sentence is searching for the version of the mongrel gem... so, once installed,

everything works perfectly.

#6 - 2011-06-16 19:10 - Etienne Massip

- Status changed from Reopened to Closed
